<?php

namespace App\Http\Controllers\Yonetim;

use App\Http\Controllers\Controller;
use App\Models\About;
use App\Models\Resimformat;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use Image;
use App\Http\Requests\AboutRequest;

class AboutController extends Controller
{



    public function aboutedit(){

        $veriler = About::findOrFail(1);
        return view('yonetim.aboutayar.aboutedit',compact('veriler'));
    }

    public function abouteditson(AboutRequest $request,$id){



        $oturumyetki = Auth::user()->yetki;


        if ($oturumyetki==2 || $oturumyetki==1) {
            if ($request->file('resimyol')) {



                $resimbicimal=Resimformat::find(1);
                $resimtur=$resimbicimal->resimbicim;
                $resimkalite=$resimbicimal->resimkalite;


                $image = $request->file('resimyol');
                $dosyaAdi = pathinfo($image->getClientOriginalName(), PATHINFO_FILENAME);
                $dosyaAdi = str_replace(' ', '', $dosyaAdi);

                $rastgeleSayi = rand(10000, 99999); //


                $name_gen = $rastgeleSayi.'_'.$dosyaAdi.'.'.$resimtur;
                Image::make($image)->encode($resimtur, $resimkalite)->save('upload/'.$name_gen);
                $save_url = 'upload/'.$name_gen;

                $eskiresimyol=$request->eskiresimyol;




                if (file_exists($eskiresimyol)){
                    unlink($eskiresimyol);

                }

                About::findOrFail($id)->update([
                    'baslik' => $request->baslik,
                    'indexicerik' => $request->indexicerik,
                    'resimyol_alt'=>$request->resimyol_alt,
                    'videolink' => $request->videolink,
                    'icerik' => $request->icerik,
                    'resimyol'=>$save_url,
                    'updated_at' => Carbon::now(),
                ]);


                return redirect()->back()->with('success',"Hakkımızda alanı başarıyla güncellendi");
            }else{

                About::findOrFail($id)->update([
                    'baslik' => $request->baslik,
                    'indexicerik' => $request->indexicerik,
                    'resimyol_alt'=>$request->resimyol_alt,
                    'videolink' => $request->videolink,
                    'icerik' => $request->icerik,
                    'updated_at' => Carbon::now(),

                ]);


                return redirect()->back()->with('success',"Hakkımızda alanı başarıyla güncellendi");



            }
        }
        else
        {
            return redirect()->back()->with('danger', 'İşlem Yetkiniz kısıtlı..');

        }




    }

}
